Ptex: PtexCachedData Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
PtexCachedData Class Reference

Cache entry for allocated memory block. More...

`#include <PtexCache.h>`

Inheritance diagram for PtexCachedData:

## Public Member Functions
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Protected Member Functions
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()

## Protected Attributes
PtexCacheImpl * | _cache

## Private Attributes
int | _refcount
int | _size

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)

## Detailed Description

Cache entry for allocated memory block.

Definition at line 282 of file PtexCache.h.

## Constructor & Destructor Documentation

PtexCachedData::PtexCachedData | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | int | size
| ) |  |
| inline

Definition at line 285 of file PtexCache.h.

virtual PtexCachedData::~PtexCachedData | ( |  | ) |
| inlineprotectedvirtual

Definition at line 292 of file PtexCache.h.

## Member Function Documentation

void PtexCachedData::incSize | ( | int | size | ) |
| inlineprotected

Definition at line 291 of file PtexCache.h.

void PtexCachedData::ref | ( |  | ) |
| inline

Definition at line 288 of file PtexCache.h.

Referenced by PtexReader::blendFaces(), PtexReader::getData(), PtexReader::MetaData::getEntry(), PtexReader::getFace(), PtexReader::getLevel(), PtexReader::getMetaData(), PtexReader::TiledFace::getTile(), PtexReader::TiledReducedFace::getTile(), PtexReader::readFace(), PtexReader::readLevel(), PtexReader::readMetaData(), PtexReader::TiledFace::readTile(), PtexReader::PackedFace::reduce(), and PtexReader::TiledFaceBase::reduce().

void PtexCachedData::unref | ( |  | ) |
| inline

Definition at line 289 of file PtexCache.h.

Referenced by PtexReader::getData().

## Member Data Documentation

PtexCacheImpl* PtexCachedData::_cache
| protected

Definition at line 293 of file PtexCache.h.

Referenced by PtexReader::MetaData::getEntry().

int PtexCachedData::_refcount
| private

Definition at line 295 of file PtexCache.h.

int PtexCachedData::_size
| private

Definition at line 296 of file PtexCache.h.

The documentation for this class was generated from the following file:

- PtexCache.h